Package pygccxml :: Package declarations :: Module calldef

# Module calldef

source code

defines classes, that describes "callable" declarations

This modules contains definition for next C++ declarations:

- operator
  - member
  - free
- function
  - member
  - free
- constructor
- destructor

Classes
VIRTUALITY_TYPES class that defines "virtuality" constants
FUNCTION_VIRTUALITY_TYPES class that defines "virtuality" constants
argument_t class, that describes argument of "callable" declaration
calldef_t base class for all "callable" declarations
member_calldef_t base class for "callable" declarations that defined within C++ class or struct
free_calldef_t base class for "callable" declarations that defined within C++ namespace
operator_t base class for "operator" declarations
member_function_t describes member function declaration
constructor_t describes constructor declaration
destructor_t describes deconstructor declaration
member_operator_t describes member operator declaration
casting_operator_t describes casting operator declaration
free_function_t describes free function declaration
free_operator_t describes free operator declaration